Αναβάθμιση του Firefox

Άβαταρ μέλους
dglent
Δημοσιεύσεις: 925
Εγγραφή: Τετ Ιουν 01, 2011 05:42 am
Τοποθεσία: Γαλλία

Re: Αναβάθμιση του Firefox

Δημοσίευση από dglent » Κυρ Σεπ 22, 2013 20:49 pm

Το να προσπαθήσεις να φτιάξεις ένα spec με αυτοματοποιημένο τρόπο είναι σαν να μεταφράσεις ένα κείμενο στο google translator και να περιμένεις το ίδιο αποτέλεσμα με μια χειροκινητη μετάφραση.

Για να ξεκινήσεις τη δημιουργία ενός αρχείου spec from scratch, προτείνω να πάρεις ένα απλό πρόγραμμα και να πας βήμα βήμα με τον οδηγό της mageia.

Ξεκινα και ένα καινουργιο νήμα με τη δημιουργια του σπεκ ωστε να χρησιμευσει και ως οδηγός όπως σωστά ειπες πριν.

Στο παραπάνω πρόγραμμα σου λειπουν τα patches τα οποία θα βρεις στο πηγαίο rpm, src.rpm

Άβαταρ μέλους
cpfotiadis
Δημοσιεύσεις: 36
Εγγραφή: Σάβ Σεπ 07, 2013 17:26 pm

Re: Αναβάθμιση του Firefox

Δημοσίευση από cpfotiadis » Τρί Σεπ 24, 2013 10:14 am

dglent έγραψε:Ναι να συνεχίσεις το signature key που λέει είναι το δικό μου
Οκ νομίζω το έκανα εγκατάσταση κανονικά, μετά πήγα να κάνω εγκατάσταση το http://www.mageia-gr.org/rpm/3/x86_64/f ... x86_64.rpm
και μου έβγαλε μήνυμα ότι έχει κι άλλη εξάρτηση.

Εικόνα

Κατέβασα την εξάρτηση http://www.mageia-gr.org/rpm/3/x86_64/l ... x86_64.rpm για να την εγκαταστήσω
αλλά μου έβγαλε το παρακάτω μήνυμα.

Εικόνα

Μήπως να εγκαταλείψω την προσπάθεια αναβάθμισης του firefox; Δεν θέλω να δημιουργηθεί κάποιο πρόβλημα αλλού λόγο των εξαρτίσεων.

Άβαταρ μέλους
dglent
Δημοσιεύσεις: 925
Εγγραφή: Τετ Ιουν 01, 2011 05:42 am
Τοποθεσία: Γαλλία

Re: Αναβάθμιση του Firefox

Δημοσίευση από dglent » Τρί Σεπ 24, 2013 11:20 am

Μάλλον πρέπει να συνεχίσεις την εγκατάσταση και απλά θα σου αφαιρέσει το digikam, το οποίο μετά λογικά θα μπορείς να το επαναγκαταστήσεις.
Για να σαι σίγουρος, εγκατέστησε και ένα δεύτερο DE για λόγους ασφαλείας (πχ το razor-qt ή το lxde ή icewm)
Θα το δοκιμάσω και στο σύστημά μου μόλις βρω χρόνο.

Άβαταρ μέλους
dglent
Δημοσιεύσεις: 925
Εγγραφή: Τετ Ιουν 01, 2011 05:42 am
Τοποθεσία: Γαλλία

Re: Αναβάθμιση του Firefox

Δημοσίευση από dglent » Τρί Σεπ 24, 2013 11:21 am

airmaik είχες κάποιο πρόβλημα στην εγκατάσταση ;

Άβαταρ μέλους
airmaik
Δημοσιεύσεις: 636
Εγγραφή: Τρί Ιουν 07, 2011 16:44 pm

Re: Αναβάθμιση του Firefox

Δημοσίευση από airmaik » Τρί Σεπ 24, 2013 11:25 am

όχι δεν είχα το παραμικρό πρόβλημα
Mageia6 x86_64 Lxqt
Intel Core i5-3570 CPU @ 3.40GHz ‖ RAM 7892 MiB ‖ ASRock Z77 Extreme4-M
nVidia GK104 [GeForce GTX 760] [10de:1187] {nvidia}
eth0: Realtek RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller [10ec:8168] (rev 06)

Άβαταρ μέλους
cpfotiadis
Δημοσιεύσεις: 36
Εγγραφή: Σάβ Σεπ 07, 2013 17:26 pm

Re: Αναβάθμιση του Firefox

Δημοσίευση από cpfotiadis » Τρί Σεπ 24, 2013 13:13 pm

dglent έγραψε:Μάλλον πρέπει να συνεχίσεις την εγκατάσταση και απλά θα σου αφαιρέσει το digikam, το οποίο μετά λογικά θα μπορείς να το επαναγκαταστήσεις.
Για να σαι σίγουρος, εγκατέστησε και ένα δεύτερο DE για λόγους ασφαλείας (πχ το razor-qt ή το lxde ή icewm)
Θα το δοκιμάσω και στο σύστημά μου μόλις βρω χρόνο.
Συνέχισα την εγκατάσταση και μου αφαίρεσε το digikam, τώρα όμως όταν πηγαίνω να επιλέξω το digikam για να το εγκαταστήσω μου βγάζει αυτό το μήνυμα "Λυπάμαι, το παρακάτω πακέτο δεν μπορεί να επιλεγεί". Ο Firefox εγκαταστάθηκε κανονικά.

Ξέρουμε η νέα έκδοση Mageia ποια έκδοση Firefox θα έχει;

Άβαταρ μέλους
dglent
Δημοσιεύσεις: 925
Εγγραφή: Τετ Ιουν 01, 2011 05:42 am
Τοποθεσία: Γαλλία

Re: Αναβάθμιση του Firefox

Δημοσίευση από dglent » Τρί Σεπ 24, 2013 13:29 pm

Καλύτερα να κάνεις την εγκατάσταση του digikam από την κονσόλα για να δούμε τα μηνύματα
airmaik@ έχεις εγκαταστήσει το digikam;

Άβαταρ μέλους
airmaik
Δημοσιεύσεις: 636
Εγγραφή: Τρί Ιουν 07, 2011 16:44 pm

Re: Αναβάθμιση του Firefox

Δημοσίευση από airmaik » Τρί Σεπ 24, 2013 13:34 pm

Οχι δεν το εχω εγκαταστησει ξανα
Mageia6 x86_64 Lxqt
Intel Core i5-3570 CPU @ 3.40GHz ‖ RAM 7892 MiB ‖ ASRock Z77 Extreme4-M
nVidia GK104 [GeForce GTX 760] [10de:1187] {nvidia}
eth0: Realtek RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller [10ec:8168] (rev 06)

Άβαταρ μέλους
cpfotiadis
Δημοσιεύσεις: 36
Εγγραφή: Σάβ Σεπ 07, 2013 17:26 pm

Re: Αναβάθμιση του Firefox

Δημοσίευση από cpfotiadis » Τρί Σεπ 24, 2013 13:49 pm

dglent έγραψε:Καλύτερα να κάνεις την εγκατάσταση του digikam από την κονσόλα για να δούμε τα μηνύματα

Κώδικας: Επιλογή όλων

urpmi digikam
Τα ακόλουθα πακέτα δεν μπορούν να εγκατασταθούν, γιατί εξαρτώνται από πακέτα
που είναι παλαιότερα από αυτά που είναι εγκατεστημένα:
sqlite3-tools-3.7.16.1-1.mga3
digikam-3.1.0-2.mga3
Να συνεχίσω την εγκατάσταση ; (Y/n)
Αυτό με τις εξαρτήσεις στο linux είναι ένα αρνητικό μπορώ να πω.

Άβαταρ μέλους
dglent
Δημοσιεύσεις: 925
Εγγραφή: Τετ Ιουν 01, 2011 05:42 am
Τοποθεσία: Γαλλία

Re: Αναβάθμιση του Firefox

Δημοσίευση από dglent » Τρί Σεπ 24, 2013 13:58 pm

Θα το δω από το σπίτι, για τρόπο επίλυσης της εξάρτησης sqlite3-tools-3.7.16.1-1.mga3

Απάντηση

Μέλη σε σύνδεση

Μέλη σε αυτήν τη Δ. Συζήτηση: Δεν υπάρχουν εγγεγραμμένα μέλη και 1 επισκέπτης